BendOptions Class

class NXOpen.Features.SheetMetal.BendOptions

Bases: NXOpen.TaggedObject

Represents a Sheetmetal Bend Options class.

New in version NX4.0.0.

Properties

Property Description
BendRadius Returns the bend radius.
BendReliefDepth Returns the bend relief depth.
BendReliefType Returns or sets the bend relief type.
BendReliefWidth Returns the bend relief width.
CornerReliefType Returns or sets the corner relief type.
ExtendBendRelief Returns or sets the option to extend the bend relief if required.
NeutralFactor Returns the neutral factor.
Tag Returns the Tag for this object.
UseGlobalBendRadius Returns or sets the Use Global Bend Radius toggle.
UseGlobalNeutralFactor Returns or sets the Use Global Neutral Factor toggle.
UseGlobalReliefDepth Returns or sets the Use Global Relief Depth toggle.
UseGlobalReliefWidth Returns or sets the Use Global Relief Width toggle.

Methods

Method Description
SetBendRadius Sets the bend radius.
SetBendReliefDepth Sets the bend relief depth.
SetBendReliefWidth Sets the bend relief width.
SetNeutralFactor Sets the neutral factor.

Enumerations

BendOptionsBendReliefTypeOptions Enumeration This enum represents the bend relief type.
BendOptionsCornerReliefTypeOptions Enumeration This enum represents the corner relief type.

Property Detail

BendRadius

BendOptions.BendRadius

Returns the bend radius.

-------------------------------------

Getter Method

Signature BendRadius()

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: None.

BendReliefDepth

BendOptions.BendReliefDepth

Returns the bend relief depth.

Applicable only if NXOpen.Features.SheetMetal.BendOptions.BendReliefTypeOptions() is set to a value other than Features.SheetMetal.BendOptionsBendReliefTypeOptions.None.

-------------------------------------

Getter Method

Signature BendReliefDepth()

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: None.

BendReliefType

BendOptions.BendReliefType

Returns or sets the bend relief type.

Specify Features.SheetMetal.BendOptionsBendReliefTypeOptions.None if you do not want a bend relief. Specify Features.SheetMetal.BendOptionsBendReliefTypeOptions.Square for a square/rectangular bend relief. Specify Features.SheetMetal.BendOptionsBendReliefTypeOptions.Round for a rounded bend relief.

-------------------------------------

Getter Method

Signature BendReliefType()

Returns:
Return type:NXOpen.Features.SheetMetal.BendOptionsBendReliefTypeOptions

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature BendReliefType(type)

Parameters:type (NXOpen.Features.SheetMetal.BendOptionsBendReliefTypeOptions) –

New in version NX4.0.0.

License requirements: None.

BendReliefWidth

BendOptions.BendReliefWidth

Returns the bend relief width.

Applicable only if NXOpen.Features.SheetMetal.BendOptions.BendReliefTypeOptions() is set to a value other than Features.SheetMetal.BendOptionsBendReliefTypeOptions.None.

-------------------------------------

Getter Method

Signature BendReliefWidth()

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: None.

CornerReliefType

BendOptions.CornerReliefType

Returns or sets the corner relief type.

Use one of the values from NXOpen.Features.SheetMetal.BendOptionsCornerReliefTypeOptions.

-------------------------------------

Getter Method

Signature CornerReliefType()

Returns:
Return type:NXOpen.Features.SheetMetal.BendOptionsCornerReliefTypeOptions

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature CornerReliefType(type)

Parameters:type (NXOpen.Features.SheetMetal.BendOptionsCornerReliefTypeOptions) –

New in version NX4.0.0.

License requirements: None.

ExtendBendRelief

BendOptions.ExtendBendRelief

Returns or sets the option to extend the bend relief if required.

This only applies if the bend relief type is set to a value other than Features.SheetMetal.BendOptionsBendReliefTypeOptions.None.

-------------------------------------

Getter Method

Signature ExtendBendRelief()

Returns:
Return type:bool

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ExtendBendRelief(extend)

Parameters:extend (bool) –

New in version NX4.0.0.

License requirements: None.

NeutralFactor

BendOptions.NeutralFactor

Returns the neutral factor.

-------------------------------------

Getter Method

Signature NeutralFactor()

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: None.

UseGlobalBendRadius

BendOptions.UseGlobalBendRadius

Returns or sets the Use Global Bend Radius toggle.

-------------------------------------

Getter Method

Signature UseGlobalBendRadius()

Returns:
Return type:bool

New in version NX6.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature UseGlobalBendRadius(useGlobalBendRadius)

Parameters:useGlobalBendRadius (bool) –

New in version NX6.0.0.

License requirements: None.

UseGlobalNeutralFactor

BendOptions.UseGlobalNeutralFactor

Returns or sets the Use Global Neutral Factor toggle.

-------------------------------------

Getter Method

Signature UseGlobalNeutralFactor()

Returns:
Return type:bool

New in version NX6.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature UseGlobalNeutralFactor(useGlobalNeutralFactor)

Parameters:useGlobalNeutralFactor (bool) –

New in version NX6.0.0.

License requirements: None.

UseGlobalReliefDepth

BendOptions.UseGlobalReliefDepth

Returns or sets the Use Global Relief Depth toggle.

-------------------------------------

Getter Method

Signature UseGlobalReliefDepth()

Returns:
Return type:bool

New in version NX6.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature UseGlobalReliefDepth(useGlobalReliefDepth)

Parameters:useGlobalReliefDepth (bool) –

New in version NX6.0.0.

License requirements: None.

UseGlobalReliefWidth

BendOptions.UseGlobalReliefWidth

Returns or sets the Use Global Relief Width toggle.

-------------------------------------

Getter Method

Signature UseGlobalReliefWidth()

Returns:
Return type:bool

New in version NX6.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature UseGlobalReliefWidth(useGlobalReliefWidth)

Parameters:useGlobalReliefWidth (bool) –

New in version NX6.0.0.

License requirements: None.

Method Detail

SetBendRadius

BendOptions.SetBendRadius

Sets the bend radius.

Signature SetBendRadius(radius)

Parameters:radius (str) –

New in version NX4.0.0.

Deprecated since version NX10.0.0: Use NXOpen.Expression.RightHandSide() on the NXOpen.Expression object returned from Features.SheetMetal.BendOptions.BendRadius() instead.

License requirements: None.

SetBendReliefDepth

BendOptions.SetBendReliefDepth

Sets the bend relief depth.

Applicable only if NXOpen.Features.SheetMetal.BendOptions.BendReliefTypeOptions() is set to a value other than Features.SheetMetal.BendOptionsBendReliefTypeOptions.None.

Signature SetBendReliefDepth(depth)

Parameters:depth (str) –

New in version NX4.0.0.

Deprecated since version NX10.0.0: Use NXOpen.Expression.RightHandSide() on the NXOpen.Expression object returned from Features.SheetMetal.BendOptions.BendReliefDepth() instead.

License requirements: None.

SetBendReliefWidth

BendOptions.SetBendReliefWidth

Sets the bend relief width.

Applicable only if NXOpen.Features.SheetMetal.BendOptions.BendReliefTypeOptions() is set to a value other than Features.SheetMetal.BendOptionsBendReliefTypeOptions.None.

Signature SetBendReliefWidth(width)

Parameters:width (str) –

New in version NX4.0.0.

Deprecated since version NX10.0.0: Use NXOpen.Expression.RightHandSide() on the NXOpen.Expression object returned from Features.SheetMetal.BendOptions.BendReliefWidth() instead.

License requirements: None.

SetNeutralFactor

BendOptions.SetNeutralFactor

Sets the neutral factor.

Signature SetNeutralFactor(neutralFactor)

Parameters:neutralFactor (str) –

New in version NX4.0.0.

Deprecated since version NX10.0.0: Use NXOpen.Expression.RightHandSide() on the NXOpen.Expression object returned from Features.SheetMetal.BendOptions.NeutralFactor() instead.

License requirements: None.